From 3f8736376b68dc49ba8233d7dce6c17ba6a524a0 Mon Sep 17 00:00:00 2001
From: Adrien Maglo <adrien@videolabs.io>
Date: Wed, 18 Mar 2020 16:38:34 +0100
Subject: [PATCH] Add DtBool tensor type

---
 tensorflow/src/tensor.rs | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tensorflow/src/tensor.rs b/tensorflow/src/tensor.rs
index 17cba22c..653a7c79 100644
--- a/tensorflow/src/tensor.rs
+++ b/tensorflow/src/tensor.rs
@@ -97,6 +97,7 @@ impl<'a> TryFrom<&'a TensorProto> for Tensor {
                 DataType::DtInt64 => tensor_from_repeated_field(&*dims, t.int64_val.to_vec())?,
                 DataType::DtFloat => tensor_from_repeated_field(&*dims, t.float_val.to_vec())?,
                 DataType::DtDouble => tensor_from_repeated_field(&*dims, t.double_val.to_vec())?,
+                DataType::DtBool => tensor_from_repeated_field(&*dims, t.bool_val.to_vec())?,
                 DataType::DtString => {
                     let strings =
                         t.string_val.iter().map(|s| Blob(s.to_owned())).collect::<Vec<Blob>>();
-- 
2.20.1

